Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 456898 - media-tv/mythtv-0.26 with sys-fs/udisks:2 fails to detect DVD drives
Summary: media-tv/mythtv-0.26 with sys-fs/udisks:2 fails to detect DVD drives
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: MythTV Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-12 07:07 UTC by Nathan Caldwell
Modified: 2016-04-26 16:39 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Caldwell 2013-02-12 07:07:42 UTC
After a recent depclean where udisks:0 was removed, but not udisks:2, I noticed DVD playback had stopped working in mythfrontend.

Checking in the frontend logs it appears that mythfrontend uses the UDisks DBus service to enumerate DVD (and most likely Blu-Ray as well) devices at start-up time, falling back to (the non-existent) /dev/dvd if UDisks fails. udisks:2 only provides the UDisks2 service, not the UDisks service mythfrontend checks.


2013-02-11 23:32:03.986441 I  Setup Interrupt handler
2013-02-11 23:32:03.986474 I  Setup Terminated handler
2013-02-11 23:32:03.986482 I  Setup Segmentation fault handler
2013-02-11 23:32:03.986489 I  Setup Aborted handler
2013-02-11 23:32:03.986495 I  Setup Bus error handler
2013-02-11 23:32:03.986502 I  Setup Floating point exception handler
2013-02-11 23:32:03.986508 I  Setup Illegal instruction handler
2013-02-11 23:32:03.986517 I  Setup Real-time signal 0 handler
2013-02-11 23:32:03.986526 I  Setup User defined signal 1 handler
2013-02-11 23:32:03.986532 I  Setup User defined signal 2 handler
2013-02-11 23:32:03.986650 C  mythfrontend version: fixes/0.26 [v0.26.0] www.mythtv.org
2013-02-11 23:32:03.986658 C  Qt version: compile: 4.8.4, runtime: 4.8.4
2013-02-11 23:32:03.986662 N  Enabled verbose msgs:  general
2013-02-11 23:32:03.986682 N  Setting Log Level to LOG_INFO
[...snip...]
2013-02-11 23:32:07.364229 N  Registering Internal as a media playback plugin.
2013-02-11 23:32:07.368310 A  MMUnix:CheckMountable: DBus interface error: The name org.freedesktop.UDisks was not provided by any .service files
2013-02-11 23:32:07.868938 A  MMUnix:CheckMountable: DBus interface error: The name org.freedesktop.UDisks was not provided by any .service files
2013-02-11 23:32:08.369593 A  MMUnix:CheckMountable: DBus interface error: The name org.freedesktop.UDisks was not provided by any .service files
2013-02-11 23:32:08.870156 A  MMUnix:CheckMountable: DBus interface error: The name org.freedesktop.UDisks was not provided by any .service files
2013-02-11 23:32:09.370736 A  MMUnix:CheckMountable: DBus interface error: The name org.freedesktop.UDisks was not provided by any .service files
2013-02-11 23:32:09.871302 A  MMUnix:CheckMountable: DBus interface error: The name org.freedesktop.UDisks was not provided by any .service files
2013-02-11 23:32:10.371881 A  MMUnix:CheckMountable: DBus interface error: The name org.freedesktop.UDisks was not provided by any .service files
2013-02-11 23:32:10.872448 A  MMUnix:CheckMountable: DBus interface error: The name org.freedesktop.UDisks was not provided by any .service files
2013-02-11 23:32:11.373028 A  MMUnix:CheckMountable: DBus interface error: The name org.freedesktop.UDisks was not provided by any .service files
2013-02-11 23:32:11.873594 A  MMUnix:CheckMountable: DBus interface error: The name org.freedesktop.UDisks was not provided by any .service filess
2013-02-11 23:32:12.374989 W  No plugins directory /usr/lib64/mythtv/plugins
2013-02-11 23:32:12.377994 I  Listening on TCP 127.0.0.1:6546
[...snip...]
libdvdnav: Using dvdnav version svnR1215
libdvdread: Using libdvdcss version 1.2.12 for DVD access
libdvdread: Can't stat /dev/dvd
No such file or directory
libdvdread: Could not open /dev/dvd
libdvdnav: vm: failed to open/read the DVD
2013-02-11 23:32:37.225653 E  DVDInfo: Failed to open device at /dev/dvd


After emerging udisks:0 everything works normally.


2013-02-11 23:37:53.286993 I  Setup Interrupt handler
2013-02-11 23:37:53.287026 I  Setup Terminated handler
2013-02-11 23:37:53.287033 I  Setup Segmentation fault handler
2013-02-11 23:37:53.287040 I  Setup Aborted handler
2013-02-11 23:37:53.287046 I  Setup Bus error handler
2013-02-11 23:37:53.287053 I  Setup Floating point exception handler
2013-02-11 23:37:53.287060 I  Setup Illegal instruction handler
2013-02-11 23:37:53.287069 I  Setup Real-time signal 0 handler
2013-02-11 23:37:53.287077 I  Setup User defined signal 1 handler
2013-02-11 23:37:53.287084 I  Setup User defined signal 2 handler
2013-02-11 23:37:53.287202 C  mythfrontend version: fixes/0.26 [v0.26.0] www.mythtv.org
2013-02-11 23:37:53.287211 C  Qt version: compile: 4.8.4, runtime: 4.8.4
2013-02-11 23:37:53.287214 N  Enabled verbose msgs:  general
2013-02-11 23:37:53.287228 N  Setting Log Level to LOG_INFO
[...snip...]
2013-02-11 23:37:56.629630 N  Registering Internal as a media playback plugin.
2013-02-11 23:37:56.684173 A  MMUnix:CheckMountable: DBus interface error: 
2013-02-11 23:37:57.206609 W  No plugins directory /usr/lib64/mythtv/plugins
2013-02-11 23:37:57.210009 I  Listening on TCP 127.0.0.1:6546
[...snip...]
libdvdnav: Using dvdnav version svnR1215
libdvdread: Using libdvdcss version 1.2.12 for DVD access
libdvdnav: DVD Title: REAL_MOVIE_NAME
libdvdnav: DVD Serial Number: XXXXXXXX
libdvdnav: DVD Title (Alternative): REAL_MOVIE_NAME
libdvdnav: Unable to find map file '/home/saintdev/.dvdnav/REAL_MOVIE_NAME.map'
libdvdnav: DVD disk reports itself with Region mask 0x00f60000. Regions: 1 4

libdvdread: Attempting to retrieve all CSS keys
libdvdread: This can take a _long_ time, please be patient

libdvdread: Get key for /VIDEO_TS/VIDEO_TS.VOB at 0x00000130
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_01_0.VOB at 0x0000ac4a
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_01_1.VOB at 0x000205d0
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_02_1.VOB at 0x003719ac
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_03_1.VOB at 0x00373900
libdvdread: Elapsed time 0
libdvdread: Found 3 VTS's
libdvdread: Elapsed time 0
2013-02-11 23:38:15.219616 I  TV: Creating TV object
libdvdnav: Using dvdnav version svnR1215
libdvdread: Using libdvdcss version 1.2.12 for DVD access
2013-02-11 23:38:15.291765 N  Suspending idle timer
2013-02-11 23:38:15.296793 I  TV: Created TvPlayWindow.
2013-02-11 23:38:15.307204 I  TV: Attempting to change from None to WatchingDVD
libdvdnav: DVD Title: REAL_MOVIE_NAME
libdvdnav: DVD Serial Number: XXXXXXXX
libdvdnav: DVD Title (Alternative): REAL_MOVIE_NAME
libdvdnav: Unable to find map file '/home/saintdev/.dvdnav/REAL_MOVIE_NAME.map'
libdvdnav: DVD disk reports itself with Region mask 0x00f60000. Regions: 1 4

libdvdread: Attempting to retrieve all CSS keys
libdvdread: This can take a _long_ time, please be patient

libdvdread: Get key for /VIDEO_TS/VIDEO_TS.VOB at 0x00000130
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_01_0.VOB at 0x0000ac4a
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_01_1.VOB at 0x000205d0
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_02_1.VOB at 0x003719ac
libdvdread: Elapsed time 0
libdvdread: Get key for /VIDEO_TS/VTS_03_1.VOB at 0x00373900
libdvdread: Elapsed time 0
libdvdread: Found 3 VTS's
libdvdread: Elapsed time 0
2013-02-11 23:38:15.640090 I  DVDRB: Opened DVD device at //dev/sr0
2013-02-11 23:38:16.088396 E  DVDRB: Failed to retrieve chapter data
2013-02-11 23:38:16.277092 N  AudioPlayer: Enabling Audio
[...snip..]
Comment 1 Nathan Caldwell 2013-02-12 07:08:39 UTC
Portage 2.2.0_alpha161 (default/linux/amd64/13.0/desktop/kde, gcc-4.6.3, glibc-2.16.0, 3.7.2-bfs426.0 x86_64)
=================================================================
System uname: Linux-3.7.2-bfs426.0-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9300_@_2.50GHz-with-gentoo-2.2
KiB Mem:     8179380 total,   3271472 free
KiB Swap:    2096444 total,   2085096 free
Timestamp of tree: Mon, 11 Feb 2013 15:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p42
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.10.2-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.9.6-r3, 1.11.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3, 4.7.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo x-portage x-bfs-overlay msp430 x-xiph forked-daapd x-dolphin-emu x-hdhomerun sunrise x-hawkthorne steam-overlay
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 PUEL AdobeFlash-10.3 skype-4.0.0.7-copyright google-chrome Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://chi-10g-1-mirror.fastsoft.net/pub/linux/gentoo/gentoo-distfiles/ http://mirror.mcs.anl.gov/pub/gentoo/ http://mirror.usu.edu/mirrors/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/overlays/bfs-overlay /usr/local/overlays/msp430-overlay /usr/local/overlays/xiph /usr/local/overlays/forked-daapd /usr/local/overlays/dolphin-emu /usr/local/overlays/hdhomerun /usr/local/overlays/sunrise-reviewed /usr/local/overlays/hawkthorne /usr/local/overlays/steam-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aacs acl acpi alsa amd64 amr amrnb amrwb avahi bash-completion berkdb bluray bzip2 cairo cdda cec cli consolekit cracklib crypt cxx dbus declarative dirac dri dts dvb dvd dvdr emboss encode exif fam fbcondecor ffmpeg fftw flac fltk fortran gdbm gif gphoto2 gpm gstreamer gtk htmlhandbook iconv ieee1394 inotify ios ipv6 java jpeg kde kerberos kipi kvm lapack lcms libass libnotify libv4l2 lirc live lm_sensors lzma lzo mad matroska mdadm mmap mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib musicbrainz mythtv ncurses nls nptl ogg openexr opengl openmp openssl opus pam pango pcre pdf phonon plasma png policykit ppds qt3support qt4 qwt rar readline redland rtmp samba schroedinger sdl semantic-desktop session spell sqlite sqlite3 srt sse sse2 sse3 sse4 sse4_1 ssl ssse3 startup-notification subversion svg tcpd theora threads thumbnail tiff truetype udev udisks unicode upower usb v4l2 vaapi vdpau vnc vorbis vpx webkit wxwidgets x264 xattr xcb xcomposite xinerama xml xscreensaver xulrunner xv xvid xvmc zeroconf zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US" LIRC_DEVICES="inputlirc" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="radeon r600 nouveau nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Richard Freeman gentoo-dev 2013-02-13 19:55:01 UTC
What version of mythtv is this?  Not sure that it matters...
Comment 3 Nathan Caldwell 2013-02-14 00:28:21 UTC
(In reply to comment #2)
> What version of mythtv is this?  Not sure that it matters...

0.26
Comment 4 Pacho Ramos gentoo-dev 2015-07-04 17:00:38 UTC
Still valid with 0.27_p20140321 or 0.27.5_p20150627?
Comment 5 Doug Goldstein gentoo-dev 2015-09-06 03:34:02 UTC
This will be fixed with the next bump to 0.27.5. Sorry for the long delay on fixing this issue.
Comment 6 Doug Goldstein gentoo-dev 2015-09-16 17:58:18 UTC
Thanks for the report. Fixed in http://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ada29b52010e465a522fdc68d4eee0da6eaa349